KeyConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.KeyConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Interface KeyConstants

All Known Implementing Classes:
  Constants, RequestKeyConstants

    public interface KeyConstants

Constant values used as keys in maps

Field Summary
`static java.lang.String` | `ARC_REPORTS_URL`
`static java.lang.String` | `CONFIG_PROP_ARC_SERVER_URL`
`static java.lang.String` | `DASHBOARD_ID`
`static java.lang.String` | `DASHBOARD_NAME`
`static java.lang.String` | `DEFAULT_DASHBOARD_ID`
`static java.lang.String` | `DEFAULT_INDICATOR_VIEW`
`static java.lang.String` | `DEPL_CHILD_MODE_ATTR`
`static java.lang.String` | `HELP_BASE_URL_KEY`
`static java.lang.String` | `INDICATOR_VIEWS` key values for indicator views
`static java.lang.String` | `INTERN_CHILD_MODE_ATTR`
`static java.lang.String` | `IS_DASH_EDITABLE`
`static java.lang.String` | `MODE_ADD_METRICS`
`static java.lang.String` | `MODE_MON_CUR`
`static java.lang.String` | `MODE_MON_DEPL_SVCS`
`static java.lang.String` | `MODE_MON_DEPL_SVRS`
`static java.lang.String` | `MODE_MON_EDIT_RANGE`
`static java.lang.String` | `MODE_MON_INTERN_SVCS`
`static java.lang.String` | `MODE_MON_PERF`
`static java.lang.String` | `MODE_MON_RES_METS`
`static java.lang.String` | `MODE_MON_URL`
`static java.lang.String` | `MON_SVC_TYPE`
`static java.lang.String` | `PAGE_TITLE_KEY` key that will contain the cam specific page title context.
`static java.lang.String` | `POST_AUTH_CALLBACK_URL`
`static java.lang.String` | `RSS_TOKEN`
`static java.lang.String` | `SELECTED_DASHBOARD_ID`
`static java.lang.String` | `SYSTEM_VARIABLE_PATH` key value for testMode string stored in System.properties
`static java.lang.String` | `USER_DASHBOARD_ALERT_SUMMARY_GROUPS` The key that holds the user's selected groups for alert summary
`static java.lang.String` | `USER_DASHBOARD_ALERT_SUMMARY_RANGE` The key that holds the user's selected time range for alert summary
`static java.lang.String` | `USER_DASHBOARD_CHART_INTERVAL` The key that holds the user's charts display interval
`static java.lang.String` | `USER_DASHBOARD_CHART_RANGE` The key that holds the user's charts time range
`static java.lang.String` | `USER_DASHBOARD_CHART_ROTATION` The key that holds the user's charts rotation setting
`static java.lang.String` | `USER_DASHBOARD_CHARTS` The key that holds the user's chart queries
`static java.lang.String` | `USER_DASHBOARD_JSON` The json object that contains the rids and mtids
`static java.lang.String` | `USER_PORTLETS_FIRST` the the user preferences key that holds the users portal first column portlet choices.
`static java.lang.String` | `USER_PORTLETS_SECOND` the the user preferences key that holds the users portal second column choices.
`static java.lang.String` | `USERPREF_KEY_AVAILABITY_RESOURCES` The key that holds the user's availability summary resources
`static java.lang.String` | `USERPREF_KEY_CRITICAL_ALERTS_RESOURCES` The key that holds the user's critical alerts resources
`static java.lang.String` | `USERPREF_KEY_FAVORITE_RESOURCES` The key that holds the user's favorite resources
`static java.lang.String` | `USERPREF_KEY_PROBLEMS_IGNORELIST`
`static java.lang.String` | `USERPREF_KEY_PROBLEMS_RANGE`
`static java.lang.String` | `USERPREF_KEY_PROBLEMS_SHOWIGNORED`
`static java.lang.String` | `USERPREF_KEY_RECENT_RESOURCES` The key that holds the user's recent resources

Field Detail

### ARC_REPORTS_URL

    static final java.lang.String ARC_REPORTS_URL

See Also:
  Constant Field Values

### CONFIG_PROP_ARC_SERVER_URL

    static final java.lang.String CONFIG_PROP_ARC_SERVER_URL

See Also:
  Constant Field Values

### DASHBOARD_NAME

    static final java.lang.String DASHBOARD_NAME

See Also:
  Constant Field Values

### DASHBOARD_ID

    static final java.lang.String DASHBOARD_ID

See Also:
  Constant Field Values

### IS_DASH_EDITABLE

    static final java.lang.String IS_DASH_EDITABLE

See Also:
  Constant Field Values

### USERPREF_KEY_PROBLEMS_IGNORELIST

    static final java.lang.String USERPREF_KEY_PROBLEMS_IGNORELIST

See Also:
  Constant Field Values

### USERPREF_KEY_PROBLEMS_SHOWIGNORED

    static final java.lang.String USERPREF_KEY_PROBLEMS_SHOWIGNORED

See Also:
  Constant Field Values

### USERPREF_KEY_PROBLEMS_RANGE

    static final java.lang.String USERPREF_KEY_PROBLEMS_RANGE

See Also:
  Constant Field Values

### USERPREF_KEY_FAVORITE_RESOURCES

    static final java.lang.String USERPREF_KEY_FAVORITE_RESOURCES

  The key that holds the user's favorite resources

  See Also:
    Constant Field Values

### USERPREF_KEY_CRITICAL_ALERTS_RESOURCES

    static final java.lang.String USERPREF_KEY_CRITICAL_ALERTS_RESOURCES

  The key that holds the user's critical alerts resources

  See Also:
    Constant Field Values

### USERPREF_KEY_AVAILABITY_RESOURCES

    static final java.lang.String USERPREF_KEY_AVAILABITY_RESOURCES

  The key that holds the user's availability summary resources

  See Also:
    Constant Field Values

### USERPREF_KEY_RECENT_RESOURCES

    static final java.lang.String USERPREF_KEY_RECENT_RESOURCES

  The key that holds the user's recent resources

  See Also:
    Constant Field Values

### USER_DASHBOARD_CHARTS

    static final java.lang.String USER_DASHBOARD_CHARTS

  The key that holds the user's chart queries

  See Also:
    Constant Field Values

### USER_DASHBOARD_CHART_RANGE

    static final java.lang.String USER_DASHBOARD_CHART_RANGE

  The key that holds the user's charts time range

  See Also:
    Constant Field Values

### USER_DASHBOARD_CHART_ROTATION

    static final java.lang.String USER_DASHBOARD_CHART_ROTATION

  The key that holds the user's charts rotation setting

  See Also:
    Constant Field Values

### USER_DASHBOARD_CHART_INTERVAL

    static final java.lang.String USER_DASHBOARD_CHART_INTERVAL

  The key that holds the user's charts display interval

  See Also:
    Constant Field Values

### USER_DASHBOARD_ALERT_SUMMARY_GROUPS

    static final java.lang.String USER_DASHBOARD_ALERT_SUMMARY_GROUPS

  The key that holds the user's selected groups for alert summary

  See Also:
    Constant Field Values

### USER_DASHBOARD_ALERT_SUMMARY_RANGE

    static final java.lang.String USER_DASHBOARD_ALERT_SUMMARY_RANGE

  The key that holds the user's selected time range for alert summary

  See Also:
    Constant Field Values

### USER_DASHBOARD_JSON

    static final java.lang.String USER_DASHBOARD_JSON

  The json object that contains the rids and mtids

  See Also:
    Constant Field Values

### USER_PORTLETS_SECOND

    static final java.lang.String USER_PORTLETS_SECOND

  the the user preferences key that holds the users portal second column choices.

  See Also:
    Constant Field Values

### USER_PORTLETS_FIRST

    static final java.lang.String USER_PORTLETS_FIRST

  the the user preferences key that holds the users portal first column portlet choices.

  See Also:
    Constant Field Values

### HELP_BASE_URL_KEY

    static final java.lang.String HELP_BASE_URL_KEY

See Also:
  Constant Field Values

### PAGE_TITLE_KEY

    static final java.lang.String PAGE_TITLE_KEY

  key that will contain the cam specific page title context.

  See Also:
    Constant Field Values

### POST_AUTH_CALLBACK_URL

    static final java.lang.String POST_AUTH_CALLBACK_URL

See Also:
  Constant Field Values

### SELECTED_DASHBOARD_ID

    static final java.lang.String SELECTED_DASHBOARD_ID

See Also:
  Constant Field Values

### DEFAULT_DASHBOARD_ID

    static final java.lang.String DEFAULT_DASHBOARD_ID

See Also:
  Constant Field Values

### MODE_MON_CUR

    static final java.lang.String MODE_MON_CUR

See Also:
  Constant Field Values

### MODE_MON_RES_METS

    static final java.lang.String MODE_MON_RES_METS

See Also:
  Constant Field Values

### MODE_MON_DEPL_SVRS

    static final java.lang.String MODE_MON_DEPL_SVRS

See Also:
  Constant Field Values

### MODE_MON_DEPL_SVCS

    static final java.lang.String MODE_MON_DEPL_SVCS

See Also:
  Constant Field Values

### MODE_MON_INTERN_SVCS

    static final java.lang.String MODE_MON_INTERN_SVCS

See Also:
  Constant Field Values

### MODE_MON_PERF

    static final java.lang.String MODE_MON_PERF

See Also:
  Constant Field Values

### MODE_MON_URL

    static final java.lang.String MODE_MON_URL

See Also:
  Constant Field Values

### INTERN_CHILD_MODE_ATTR

    static final java.lang.String INTERN_CHILD_MODE_ATTR

See Also:
  Constant Field Values

### DEPL_CHILD_MODE_ATTR

    static final java.lang.String DEPL_CHILD_MODE_ATTR

See Also:
  Constant Field Values

### MON_SVC_TYPE

    static final java.lang.String MON_SVC_TYPE

See Also:
  Constant Field Values

### MODE_MON_EDIT_RANGE

    static final java.lang.String MODE_MON_EDIT_RANGE

See Also:
  Constant Field Values

### MODE_ADD_METRICS

    static final java.lang.String MODE_ADD_METRICS

See Also:
  Constant Field Values

### SYSTEM_VARIABLE_PATH

    static final java.lang.String SYSTEM_VARIABLE_PATH

  key value for testMode string stored in System.properties

  See Also:
    Constant Field Values

### INDICATOR_VIEWS

    static final java.lang.String INDICATOR_VIEWS

  key values for indicator views

  See Also:
    Constant Field Values

### DEFAULT_INDICATOR_VIEW

    static final java.lang.String DEFAULT_INDICATOR_VIEW

See Also:
  Constant Field Values

### RSS_TOKEN

    static final java.lang.String RSS_TOKEN

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.